/* fonts */
@import url("https://fonts.googleapis.com/css2?family=Metamorphous&family=Tilt+Neon&display=swap");

@font-face {
  font-family: "Playfair Display";
  src: url(../fonts/playfair/PlayfairDisplay-SemiBold.ttf);
}
/* fonts */

/* universal */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary_font: "Playfair Display";
  --secondary_font: "Metamorphous";
	
  --primary_gradient: linear-gradient(
    180deg,
    #000 20.83%,
    rgba(0, 0, 0, 0.25) 100%
  );
  --primary_color: #d7a469;
  --black: #000000;
  --white: #ffffff;
}

/* universal */

/* Hero Start */

#hero {
  height: 80vh;
  background: url(../img/restaurant/restaurant_hero_bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.hero_content_wrapper {
  height: 80vh;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero_content .hero_header {
  position: relative;
  font-family: var(--primary_font);
  font-size: 4em;
  color: var(--white);
  padding: 0 40px 10px;
  margin-bottom: 10px;
  border-bottom: 5px solid var(--primary_color);
}

.hero_content .hero_header::before {
  content: "";
  position: absolute;
  bottom: -10px;
  right: 0;
  width: 15px;
  height: 15px;
  background: var(--primary_color);
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
}

.hero_content .hero_header::after {
  content: "";
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 15px;
  height: 15px;
  background: var(--primary_color);
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
}

.hero_content .hero_sub_header {
  font-family: var(--primary_font);
  font-size: 1.8em;
  color: var(--white);
  letter-spacing: 1px;
  margin-top: 20px;
}

@media screen and (max-width: 990px) {
  .hero_content .hero_header {
    font-size: 2em;
  }

  .hero_content .hero_sub_header {
    font-size: 1.1em;
    margin-top: 15px;
  }
}

/* Hero End */

/* About Start */

#about {
  padding: 100px 0 0;
}

.about_header h3 {
  font-family: var(--secondary_font);
  font-size: 1.4em;
  color: var(--black);
  text-align: center;
}

.about_header h1 {
  font-family: var(--primary_font);
  font-size: 3em;
  text-align: center;
  margin-top: 20px;
}

.about_header .header_shape {
  width: 230px;
  margin: 0 auto 50px;
}

.about_header .header_shape img {
  width: 100%;
}

.about_content p {
  text-align: center;
  font-family: var(--secondary_font);
  color: var(--primary_color);
  font-size: 1em;
  margin-bottom: 0;
}

.about_content .about_img {
  height: 480px;
  position: relative;
}

.about_content .about_img img {
  width: 100%;
  border: 10px 0;
}

.about_content .about_img1 img {
  position: absolute;
  top: 0;
}

.about_content .about_img2 img {
  position: absolute;
  bottom: 0;
}

@media screen and (max-width: 1440px) {
  .about_content .about_img {
    height: 420px;
  }
}

@media screen and (max-width: 1200px) {
  .about_content .about_img {
    height: 350px;
  }
}
@media screen and (max-width: 990px) {
  .about_header h3 {
    font-size: 1.1em;
  }

  .about_content .about_img {
    height: auto;
    margin-top: 30px;
  }

  .about_content .about_img img {
    position: relative;
  }

  .about_header h1 {
    font-size: 2em;
  }
  .about_content p {
    margin-bottom: 10px;
  }
}

/* About End */

/* Menu Items Start */

#menu_items {
  padding: 0 0 100px;
}

.menu_items_tab .tab_box {
  max-width: 600px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 50px;
}

.menu_items_tab .tab_box {
  position: relative;
}

.menu_items_tab .tab_box .tab_btn {
  border: none;
  outline: none;
  background: transparent;
  font-family: var(--primary_font);
  font-size: 1.6em;
  padding: 0 5px;
}

.tab_line {
  position: absolute;
  top: 42px;
  left: 0;
  width: 90px;
  height: 2px;
  background-color: var(--primary_color);
  transition: 0.5s;
}

.tab_line::before {
  content: "";
  position: absolute;
  left: -8px;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  width: 8px;
  height: 8px;
  background-color: #d7a469;
}

.tab_line::after {
  content: "";
  position: absolute;
  right: -8px;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  width: 8px;
  height: 8px;
  background-color: #d7a469;
}

.tab_content_box .tab_content {
  display: none;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.tab_content_box .tab_content.active {
  display: block;
  animation: fade 1s 1;
  -webkit-animation: fade 1s 1;
}

@keyframes fade {
  0% {
    opacity: 0;
    transform: translateY(30px);
    -webkit-transform: translateY(30px);
    -moz-transform: translateY(30px);
    -ms-transform: translateY(30px);
    -o-transform: translateY(30px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
    -webkit-transform: translateY(0);
    -moz-transform: translateY(0);
    -ms-transform: translateY(0);
    -o-transform: translateY(0);
  }
}

.food_menu_items {
  border: 1px solid var(--primary_color);
  padding: 30px 15px;
  margin-top: 40px;
  border-radius: 10px;
}

.food_menu_content {
  display: flex;
  align-items: center;
  gap: 40px;
}

.food_items_img {
  width: 250px;
  height: 250px;
  border-radius: 10px 0;
  overflow: hidden;
  flex-shrink: 0;
}

.food_items_img img {
  width: 100%;
  height: 100%;
  border-radius: 10px 0;
  overflow: hidden;
}

.food_items_desc {
  display: grid;
  align-content: start;
}

.food_items_desc h1 {
  font-family: var(--primary_font);
  font-size: 2em;
  margin-bottom: 30px;
}

.food_items_desc p {
  color: var(--primary_color);
  font-family: var(--secondary_font);
  font-size: 1em;
}

.food_items_price {
  font-family: var(--secondary_font);
  font-size: 1.2em;
  color: var(--black);
  margin-top: 20px;
}

.food_items_order_btn {
  flex-shrink: 0;
}

.food_items_order_btn a {
  text-decoration: none;
  display: block;
  width: 100%;
  border-top: 3px solid var(--primary_color);
  border-bottom: 3px solid var(--primary_color);
  background-color: var(--white);
  padding: 9px 20px;
  color: var(--black);
  text-align: center;
  font-family: var(--secondary_font);
  font-size: 1em;
  border-radius: 8px 0;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
}

.food_items_order_btn a:hover {
  background-color: var(--primary_color);
  color: var(--white);
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1),
    0px 0px 20px 0px rgba(0, 0, 0, 0.1);
  transform: translateY(-6px);
}

.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin-top: 100px;
}

.pagination a {
  display: inline-block;
  border: 2px solid var(--primary_color);
  padding: 10px 18px;
  font-family: var(--secondary_font);
  font-size: 1.1em;
  color: var(--black);
  text-decoration: none;
  font-weight: 500;
  border-radius: 5px;
  transition: 0.5s;
}

.pagination a.active,
.pagination a:hover {
  background-color: var(--primary_color);
  color: var(--white);
}

@media screen and (max-width: 990px) {
  .food_menu_content {
    display: block;
    text-align: center;
  }

  .food_items_img {
    margin: auto;
  }

  .food_items_desc h1 {
    font-size: 1.8em;
    margin: 20px 0;
  }

  .food_items_price {
    margin-top: 0;
  }

  .food_items_order_btn {
    margin-top: 20px;
  }

  .food_items_order_btn a {
    display: inline-block;
    width: 160px;
  }
}

@media screen and (max-width: 576px) {
  .menu_items_tab .tab_box {
    justify-content: center;
    gap: 20px;
    margin-top: 50px;
  }

  .menu_items_tab .tab_box .tab_btn {
    font-size: 1.3em;
  }

  .tab_line {
    position: absolute;
    top: 42px;
    left: 14px;
    width: 80px;
    height: 2px;
    background-color: var(--primary_color);
    transition: 0.5s;
  }
  .pagination {
    gap: 10px;
    margin-top: 60px;
  }

  .pagination a {
    padding: 6px 10px;
    font-size: 0.9em;
  }
}

/* Menu Items End */

/* Reservation Start */

#reservation_cta {
  background: url(../img/restaurant/restaurent_reservation_bg.png);
  background-position: center;
  background-size: cover;
}

.reservation_cta_content {
  padding: 200px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.reservation_cta_content h1 {
  font-family: var(--primary_font);
  color: var(--white);
  font-size: 3em;
  word-spacing: 10px;
}

.reservation_cta_btn a {
  text-decoration: none;
  display: block;
  width: 100%;
  border-top: 3px solid var(--primary_color);
  border-bottom: 3px solid var(--primary_color);
  background-color: rgba(255, 255, 255, 0.3);
  padding: 12px 20px;
  color: var(--white);
  text-align: center;
  font-family: var(--secondary_font);
  font-size: 1.1em;
  border-radius: 8px 0;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
}

.reservation_cta_btn a:hover {
  background-color: var(--primary_color);
  color: var(--white);
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1),
    0px 0px 20px 0px rgba(0, 0, 0, 0.1);
  transform: translateY(-6px);
}

@media screen and (max-width: 990px) {
  .reservation_cta_content h1 {
    font-size: 2em;
  }

  .reservation_cta_btn a {
    padding: 12px 20px;
    font-size: 1em;
  }
}

@media screen and (max-width: 768px) {
  .reservation_cta_content {
    padding: 120px 0;
    flex-direction: column;
  }

  .reservation_cta_content h1 {
    font-size: 2em;
    text-align: center;
    margin-bottom: 80px;
  }

  .reservation_cta_btn a {
    padding: 12px 20px;
    font-size: 1em;
  }
}

/* Reservation End */
